/*****************************************************************************************
 *
 *  Copyright (C) 2007 by Cieszak
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 ****************************************************************************************/


/* configurable engine for launching C function - thanks Druidbartek */

.global ostatnia_liczona
ostatnia_liczona:

push {lr}

mov  r1,r0

ldr  r0,_config_id
bl   own_get_config
cmp  r0,#0
beq  end

ldrb r1, [r1, #1]
cmp  r1, #9
bls  end                 @ time->mins <= 9

ldr  r0, msg_371
bl   send_message        @ send_message(MSG_KEY_HANGUP|MSG_0P);

ldr  r0, _tone_game_won
mov  r1, #0
bl   own_play_tone       @ own_play_tone(&tone_game_won, PTM_WARNING_TONE);

end:
pop  {pc}

.align

_config_id:
.long config_id

_tone_game_won:
.long tone_game_won

msg_371:
.long 0x371


